> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Shopping Sessions

> List user's shopping sessions.



## OpenAPI

````yaml /openapi.json get /api/v1/shopping/sessions
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/shopping/sessions:
    get:
      tags:
        - Shopping
      summary: List Shopping Sessions
      description: List user's shopping sessions.
      operationId: list_shopping_sessions_api_v1_shopping_sessions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ShoppingSessionResponse'
                type: array
                title: Response List Shopping Sessions Api V1 Shopping Sessions Get
      security:
        - HTTPBearer: []
components:
  schemas:
    ShoppingSessionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        status:
          type: string
          title: Status
        merchant_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchant Type
        merchant_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchant Domain
        cart_items:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Cart Items
          default: []
        budget_limit_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Budget Limit Cents
        total_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Cents
        currency:
          type: string
          title: Currency
          default: USD
        affiliate_links:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Affiliate Links
          default: []
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - user_id
        - status
        - created_at
      title: ShoppingSessionResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````